Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class AIXNumericUserPrincipal

    java.lang.Object
      com.ibm.security.auth.AIXNumericUserPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class AIXNumericUserPrincipal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

This class represents a user's AIX identification number (UID).

Principals such as this `AIXNumericUserPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

This class will be replaced by `UserIDPrincipal` in future releases of JAAS.

Author:
  D. Kent Soper
See Also:
  `Principal`, `Subject`, `UserIDPrincipal`, Serialized Form

Constructor Summary
`AIXNumericUserPrincipal(long name)` Create an `AIXNumericUserPrincipal` using a long representation of the user's identification number (UID).
`AIXNumericUserPrincipal(java.lang.String name)` Create an `AIXNumericUserPrincipal` using a `String` representation of the user's identification number (UID).

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `AIXNumericUserPrincipal` for equality.
`java.lang.String` | `getName()` Return the user identification number (UID) for this `AIXNumericUserPrincipal`.
`int` | `hashCode()` Return a hash code for this `AIXNumericUserPrincipal`.
`long` | `longValue()` Return the user identification number (UID) for this `AIXNumericUserPrincipal` as a long.
`java.lang.String` | `toString()` Return a string representation of this `AIXNumericUserPrincipal`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIXNumericUserPrincipal

    public AIXNumericUserPrincipal(java.lang.String name)

  Create an `AIXNumericUserPrincipal` using a `String` representation of the user's identification number (UID).

  Parameters:
    `name` - the user identification number (UID) for this user.
  Throws:
    `java.lang.NullPointerException` - if the `name` is `null`.

### AIXNumericUserPrincipal

    public AIXNumericUserPrincipal(long name)

  Create an `AIXNumericUserPrincipal` using a long representation of the user's identification number (UID).

  Parameters:
    `name` - the user identification number (UID) for this user represented as a long.

Method Detail

### getName

    public java.lang.String getName()

  Return the user identification number (UID) for this `AIXNumericUserPrincipal`.

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    the user identification number (UID) for this `AIXNumericUserPrincipal`

### longValue

    public long longValue()

  Return the user identification number (UID) for this `AIXNumericUserPrincipal` as a long.

  Returns:
    the user identification number (UID) for this `AIXNumericUserPrincipal` as a long.

### toString

    public java.lang.String toString()

  Return a string representation of this `AIXNumericUserPrincipal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this `AIXNumericUserPrincipal`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `AIXNumericUserPrincipal` for equality. Returns true if the given object is also a `AIXNumericUserPrincipal` and the two AIXNumericUserPrincipals have the same user identification number (UID).

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - Object to be compared for equality with this `AIXNumericUserPrincipal`.
  Returns:
    true if the specified Object is equal to this `AIXNumericUserPrincipal`.

### hashCode

    public int hashCode()

  Return a hash code for this `AIXNumericUserPrincipal`.

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code for this `AIXNumericUserPrincipal`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD